org.apache.hc.client5.http.async.methods

## Class SimpleBody

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.SimpleBody

    public final class SimpleBody
    extends Object

Message body representation as a simple text string or an array of bytes.

Since:
  5.0

### Method Summary

Methods
`byte[]` `getBodyBytes()`
`String` `getBodyText()`
`org.apache.hc.core5.http.ContentType` `getContentType()`
`boolean` `isBytes()`
`boolean` `isText()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getContentType

    public org.apache.hc.core5.http.ContentType getContentType()

#### getBodyBytes

    public byte[] getBodyBytes()

#### getBodyText

    public String getBodyText()

#### isText

    public boolean isText()

#### isBytes

    public boolean isBytes()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`